Artifacts
Download Artifacts
Redirects to the artifact's download URL.
Redirects to the artifact's download URL.
Authorization
auth-token AuthorizationBearer <token>
All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Query Parameters
id*string
The ID of the artifact to be downloaded.
Format
idkey?string
The access key for the artifact.
Format
textversion?string
The version of the artifact that needs to be downloaded.
Format
textResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.devrev.ai/artifacts.download?id=ARTIFACT-12345"{
"detail": "string",
"message": "string",
"type": "see_other",
"location": "string"
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "not_found"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}